Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.wsdl
Class WsdlValidator

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.wsdl.WsdlValidator

    public class WsdlValidator

extends java.lang.Object

Class for validating SOAP requests/responses against their definition and schema, requires that the messages follow basic-profile requirements

Author:
  Ole.Matzura

Constructor Summary
`WsdlValidator(WsdlContext wsdlContext)`

Method Summary
`AssertionError[]` | `assertRequest(WsdlMessageExchange messageExchange, boolean envelopeOnly)`
`AssertionError[]` | `assertResponse(WsdlMessageExchange messageExchange, boolean envelopeOnly)`
`org.apache.xmlbeans.XmlObject[]` | `getMessageParts(java.lang.String messageContent, java.lang.String operationName, boolean isResponse)`
`void` | `validateMessage(WsdlMessageExchange messageExchange, java.lang.String message, javax.wsdl.BindingOperation bindingOperation, javax.wsdl.Part[] parts, java.util.List<org.apache.xmlbeans.XmlError> errors, boolean isResponse)`
`void` | `validateXml(java.lang.String request, java.util.List<org.apache.xmlbeans.XmlError> errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlValidator

    public WsdlValidator(WsdlContext wsdlContext)

Method Detail

### assertRequest

    public AssertionError[] assertRequest(WsdlMessageExchange messageExchange,
                                          boolean envelopeOnly)

### getMessageParts

    public org.apache.xmlbeans.XmlObject[] getMessageParts(java.lang.String messageContent,
                                                           java.lang.String operationName,
                                                           boolean isResponse)
                                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### validateXml

    public void validateXml(java.lang.String request,
                            java.util.List<org.apache.xmlbeans.XmlError> errors)

### validateMessage

    public void validateMessage(WsdlMessageExchange messageExchange,
                                java.lang.String message,
                                javax.wsdl.BindingOperation bindingOperation,
                                javax.wsdl.Part[] parts,
                                java.util.List<org.apache.xmlbeans.XmlError> errors,
                                boolean isResponse)

### assertResponse

    public AssertionError[] assertResponse(WsdlMessageExchange messageExchange,
                                           boolean envelopeOnly)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.